summaryrefslogtreecommitdiffstats
path: root/bin/genpkg
diff options
context:
space:
mode:
Diffstat (limited to 'bin/genpkg')
-rwxr-xr-xbin/genpkg8
1 files changed, 7 insertions, 1 deletions
diff --git a/bin/genpkg b/bin/genpkg
index d9ffcc5..8cbd6ba 100755
--- a/bin/genpkg
+++ b/bin/genpkg
@@ -104,7 +104,13 @@ do
PREPSPATH="$prepd" PKGVAR="$vard" prepkg "$pkg" > PKGDATA
ret=$?
case $ret in
- 0) echo "$pkgd/$pkg" ;;
+ 0) echo "$pkgd/$pkg"
+ ;;
+ 101) # 101 from prepkg means cleanup
+ cd
+ rm -r "$pkgd/$pkg"
+ exit 1
+ ;;
*) rm PKGDATA
exit $ret
esac